# Blazar, the OpenStack Reservation Service

Blazar is the Resource Reservation Service for OpenStack.

If you are new to Blazar, please start with the Introduction.

## Installation Guide

- Blazar Installation Guide
  - Installation using DevStack
  - Installation without DevStack
  - Install Blazar Dashboard

## Configuration Reference

- Blazar Configuration Reference
  - Configuration
  - Policy

## CLI Reference

- Command-Line Interface Reference
  - Host Reservation
  - Instance Reservation
  - Flavor-based Instance Reservation
  - Floating IP Reservation

## API Reference

- Blazar REST API docs
  - Blazar REST API v1

## User Guide

- User Guide
  - Introduction
  - Blazar architecture
  - State machines
  - Resource Monitoring
  - Command-Line Interface Reference
  - Blazar REST API docs
  - Blazar Dashboard (external link)

## Admin Guide

- Administrator Guide
  - Blazar Installation Guide
  - Blazar Configuration Reference
  - Command-Line Interface Reference
  - Blazar REST API docs
  - blazar-status
  - Usage Enforcement

## For Contributors

- Contributor Guide
  - How to contribute
  - Development guidelines

- References
  - Internals

## Specs

- Blazar Specifications

## Indices and tables

- Index

- Search Page

this page last updated: 2026-04-13 10:34:52

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug